Get Workspace Folder
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"folder": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"workspaceId": "<string>"
}
}Folders
Get Folder
Get a folder by ID within a workspace.
GET
/
v3
/
workspaces
/
{workspaceId}
/
folders
/
{folderId}
Get Workspace Folder
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"folder": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"workspaceId": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Default Response
Show child attributes
Show child attributes